Retrieve the cylinder oil consumption over time data for a ship

Retrieve the cylinder oil consumption over time data for a ship.

Consumption is calculated as follows:

  • If cyl_oil_consumption is not null, use this value

  • Otherwise, calculate based on how much cylinder oil was used since the previous time period: ((previous_cyl_oil_rob - current_cyl_oil_rob) * 1000000) / (me_power * time_period_hours) where:

    • previous_cyl_oil_rob and current_cyl_oil_rob are in metric tons (mt)
    • me_power is in kW
    • time_period_hours is the time difference between consecutive datetime_end values in hours
    • Result is in g/kWh
  • sensor_consumption_over_time: The consumption over time data from the sensor data.

  • nr_consumption_over_time: The consumption over time data from the noon report data.

  • at_sea_periods: The periods when the ship was at sea.

Returns: GetCylinderOilConsumptionOverTimeResponse

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Query Params
Responses

404

Not Found

501

Not Implemented

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json